Index: lib/liby/yyerror.c
===================================================================
RCS file: /home/dcvs/src/lib/liby/yyerror.c,v
retrieving revision 1.2
diff -u -r1.2 yyerror.c
--- lib/liby/yyerror.c	17 Jun 2003 04:26:52 -0000	1.2
+++ lib/liby/yyerror.c	24 Aug 2008 22:42:20 -0000
@@ -36,8 +36,7 @@
 #include <stdio.h>
 
 int
-yyerror(msg)
-char *msg;
+yyerror(char *msg)
 {
 	(void)fprintf(stderr, "%s\n", msg);
 	return(0);
Index: libexec/atrun/atrun.c
===================================================================
RCS file: /home/dcvs/src/libexec/atrun/atrun.c,v
retrieving revision 1.5
diff -u -r1.5 atrun.c
--- libexec/atrun/atrun.c	20 Sep 2004 19:32:19 -0000	1.5
+++ libexec/atrun/atrun.c	24 Aug 2008 23:17:29 -0000
@@ -483,7 +483,7 @@
 }
 
 static void
-usage()
+usage(void)
 {
     if (debug)
 	fprintf(stderr, "usage: atrun [-l load_avg] [-d]\n");
Index: libexec/bootpd/getether.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/getether.c,v
retrieving revision 1.4
diff -u -r1.4 getether.c
--- libexec/bootpd/getether.c	5 Jun 2008 18:01:49 -0000	1.4
+++ libexec/bootpd/getether.c	28 Aug 2008 17:10:17 -0000
@@ -125,10 +125,10 @@
 	char *eap;					/* Ether address (output) */
 {
 	int fd, rc = -1;
-	register int n;
+	int n;
 	struct ifreq ibuf[16];
 	struct ifconf ifc;
-	register struct ifreq *ifrp, *ifend;
+	struct ifreq *ifrp, *ifend;
 
 	/* Fetch the interface configuration */
 	fd = socket(AF_INET, SOCK_DGRAM, 0);
Index: libexec/bootpd/hash.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/hash.c,v
retrieving revision 1.3
diff -u -r1.3 hash.c
--- libexec/bootpd/hash.c	5 Jun 2008 18:01:49 -0000	1.3
+++ libexec/bootpd/hash.c	28 Aug 2008 17:10:37 -0000
@@ -84,8 +84,8 @@
 hash_Init(tablesize)
 	unsigned tablesize;
 {
-	register hash_tbl *hashtblptr;
-	register unsigned totalsize;
+	hash_tbl *hashtblptr;
+	unsigned totalsize;
 
 	if (tablesize > 0) {
 		totalsize = sizeof(hash_tbl)
@@ -174,9 +174,9 @@
 unsigned
 hash_HashFunction(string, len)
 	unsigned char *string;
-	register unsigned len;
+	unsigned len;
 {
-	register unsigned accum;
+	unsigned accum;
 
 	accum = 0;
 	for (; len > 0; len--) {
@@ -200,7 +200,7 @@
 	hash_cmpfp compare;
 	hash_datum *key;
 {
-	register hash_member *memberptr;
+	hash_member *memberptr;
 
 	memberptr = (hashtable->table)[hashcode % (hashtable->size)];
 	while (memberptr) {
@@ -350,8 +350,8 @@
 hash_NextEntry(hashtable)
 	hash_tbl *hashtable;
 {
-	register unsigned bucket;
-	register hash_member *memberptr;
+	unsigned bucket;
+	hash_member *memberptr;
 
 	/*
 	 * First try to pick up where we left off.
Index: libexec/bootpd/hwaddr.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/hwaddr.c,v
retrieving revision 1.3
diff -u -r1.3 hwaddr.c
--- libexec/bootpd/hwaddr.c	14 Nov 2003 03:54:29 -0000	1.3
+++ libexec/bootpd/hwaddr.c	28 Aug 2008 17:10:49 -0000
@@ -296,7 +296,7 @@
 
 void
 haddr_conv802(addr_in, addr_out, len)
-	register u_char *addr_in, *addr_out;
+	u_char *addr_in, *addr_out;
 	int len;
 {
 	u_char *lim;
Index: libexec/bootpd/readfile.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/readfile.c,v
retrieving revision 1.2
diff -u -r1.2 readfile.c
--- libexec/bootpd/readfile.c	17 Jun 2003 04:27:07 -0000	1.2
+++ libexec/bootpd/readfile.c	28 Aug 2008 17:11:23 -0000
@@ -1313,7 +1313,7 @@
 
 PRIVATE boolean
 goodname(hostname)
-	register char *hostname;
+	char *hostname;
 {
 	do {
 		if (!isalpha(*hostname++)) {	/* First character must be a letter */
@@ -1532,7 +1532,7 @@
 adjust(s)
 	char **s;
 {
-	register char *t;
+	char *t;
 
 	t = *s;
 	while (*t && (*t != ':')) {
@@ -1557,7 +1557,7 @@
 eat_whitespace(s)
 	char **s;
 {
-	register char *t;
+	char *t;
 
 	t = *s;
 	while (*t && isspace(*t)) {
@@ -1676,7 +1676,7 @@
 	u_int32 *result;
 {
 	char tmpstr[MAXSTRINGLEN];
-	register u_int32 value;
+	u_int32 value;
 	u_int32 parts[4], *pp;
 	int n;
 	char *s, *t;
@@ -1861,7 +1861,7 @@
 get_u_long(src)
 	char **src;
 {
-	register u_int32 value, base;
+	u_int32 value, base;
 	char c;
 
 	/*
Index: libexec/bootpd/rtmsg.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/rtmsg.c,v
retrieving revision 1.4
diff -u -r1.4 rtmsg.c
--- libexec/bootpd/rtmsg.c	25 Nov 2007 01:28:23 -0000	1.4
+++ libexec/bootpd/rtmsg.c	28 Aug 2008 17:11:35 -0000
@@ -121,9 +121,9 @@
 	char *eaddr;
 	int len;
 {
-	register struct sockaddr_inarp *sin = &sin_m;
-	register struct sockaddr_dl *sdl;
-	register struct rt_msghdr *rtm = &(m_rtmsg.m_rtm);
+	struct sockaddr_inarp *sin = &sin_m;
+	struct sockaddr_dl *sdl;
+	struct rt_msghdr *rtm = &(m_rtmsg.m_rtm);
 	u_char *ea;
 	struct timeval time;
 	int op = RTM_ADD;
@@ -190,9 +190,9 @@
 {
 	static int seq;
 	int rlen;
-	register struct rt_msghdr *rtm = &m_rtmsg.m_rtm;
-	register char *cp = m_rtmsg.m_space;
-	register int l;
+	struct rt_msghdr *rtm = &m_rtmsg.m_rtm;
+	char *cp = m_rtmsg.m_space;
+	int l;
 
 	errno = 0;
 	bzero((char *)&m_rtmsg, sizeof(m_rtmsg));
Index: libexec/bootpd/tools/bootptest/bootptest.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/tools/bootptest/bootptest.c,v
retrieving revision 1.2
diff -u -r1.2 bootptest.c
--- libexec/bootpd/tools/bootptest/bootptest.c	17 Jun 2003 04:27:07 -0000	1.2
+++ libexec/bootpd/tools/bootptest/bootptest.c	28 Aug 2008 17:11:51 -0000
@@ -467,9 +467,9 @@
  */
 int
 printfn(s, ep)
-	register u_char *s, *ep;
+	u_char *s, *ep;
 {
-	register u_char c;
+	u_char c;
 
 	putchar('"');
 	while ((c = *s++) != '\0') {
Index: libexec/bootpd/tools/bootptest/print-bootp.c
===================================================================
RCS file: /home/dcvs/src/libexec/bootpd/tools/bootptest/print-bootp.c,v
retrieving revision 1.2
diff -u -r1.2 print-bootp.c
--- libexec/bootpd/tools/bootptest/print-bootp.c	17 Jun 2003 04:27:07 -0000	1.2
+++ libexec/bootpd/tools/bootptest/print-bootp.c	28 Aug 2008 17:12:03 -0000
@@ -102,8 +102,8 @@
 
 	/* Client's Hardware address */
 	if (bp->bp_hlen) {
-		register struct ether_header *eh;
-		register char *e;
+		struct ether_header *eh;
+		char *e;
 
 		TCHECK(bp->bp_chaddr[0], 6);
 		eh = (struct ether_header *) packetp;
@@ -276,12 +276,12 @@
 
 static void
 rfc1048_print(bp, length)
-	register u_char *bp;
+	u_char *bp;
 	int length;
 {
 	u_char tag;
 	u_char *ep;
-	register int len;
+	int len;
 	u_int32 ul;
 	u_short us;
 	struct in_addr ia;
@@ -378,7 +378,7 @@
 
 static void
 cmu_print(bp, length)
-	register u_char *bp;
+	u_char *bp;
 	int length;
 {
 	struct cmu_vend *v;
@@ -429,7 +429,7 @@
 
 static void
 other_print(bp, length)
-	register u_char *bp;
+	u_char *bp;
 	int length;
 {
 	u_char *ep;					/* end pointer */
Index: libexec/fingerd/fingerd.c
===================================================================
RCS file: /home/dcvs/src/libexec/fingerd/fingerd.c,v
retrieving revision 1.3
diff -u -r1.3 fingerd.c
--- libexec/fingerd/fingerd.c	14 Nov 2003 03:54:29 -0000	1.3
+++ libexec/fingerd/fingerd.c	28 Aug 2008 17:12:19 -0000
@@ -56,13 +56,11 @@
 void logerr (const char *, ...);
 
 int
-main(argc, argv)
-	int argc;
-	char *argv[];
+main(int argc, char *argv[])
 {
-	register FILE *fp;
-	register int ch;
-	register char *lp;
+	FILE *fp;
+	int ch;
+	char *lp;
 	struct sockaddr_storage ss;
 	int p[2], logging, secure, sval;
 #define	ENTRIES	50
Index: libexec/ftpd/ftpcmd.y
===================================================================
RCS file: /home/dcvs/src/libexec/ftpd/ftpcmd.y,v
retrieving revision 1.4
diff -u -r1.4 ftpcmd.y
--- libexec/ftpd/ftpcmd.y	19 Jun 2004 20:36:04 -0000	1.4
+++ libexec/ftpd/ftpcmd.y	28 Aug 2008 17:12:40 -0000
@@ -1190,7 +1190,7 @@
 	FILE *iop;
 {
 	int c;
-	register char *cs;
+	char *cs;
 
 	cs = s;
 /* tmpline may contain saved command from urgent mode interruption */
@@ -1243,8 +1243,8 @@
 			/* Don't syslog passwords */
 			syslog(LOG_DEBUG, "command: %.5s ???", s);
 		} else {
-			register char *cp;
-			register int len;
+			char *cp;
+			int len;
 
 			/* Don't syslog trailing CR-LF */
 			len = strlen(s);
Index: libexec/makekey/makekey.c
===================================================================
RCS file: /home/dcvs/src/libexec/makekey/makekey.c,v
retrieving revision 1.4
diff -u -r1.4 makekey.c
--- libexec/makekey/makekey.c	13 Aug 2006 16:21:34 -0000	1.4
+++ libexec/makekey/makekey.c	28 Aug 2008 17:12:51 -0000
@@ -62,11 +62,9 @@
 }
 
 static void
-get(bp, len)
-	char *bp;
-	register int len;
+get(char *bp, int len)
 {
-	register int nr;
+	int nr;
 
 	bp[len] = '\0';
 	if ((nr = read(STDIN_FILENO, bp, len)) == len)
Index: libexec/mknetid/hash.c
===================================================================
RCS file: /home/dcvs/src/libexec/mknetid/hash.c,v
retrieving revision 1.2
diff -u -r1.2 hash.c
--- libexec/mknetid/hash.c	17 Jun 2003 04:27:07 -0000	1.2
+++ libexec/mknetid/hash.c	28 Aug 2008 17:13:07 -0000
@@ -49,13 +49,11 @@
  * OZ's original sdbm hash
  */
 u_int32_t
-hash(keyarg, len)
-	const void *keyarg;
-	register size_t len;
+hash(const void *keyarg, size_t len)
 {
-	register const u_char *key;
-	register size_t loop;
-	register u_int32_t h;
+	const u_char *key;
+	size_t loop;
+	u_int32_t h;
 
 #define HASHC   h = *key++ + 65599 * h
 
@@ -100,8 +98,7 @@
  * We mask off all but the lower 8 bits since our table array
  * can only hole 256 elements.
  */
-u_int32_t hashkey(key)
-	char *key;
+u_int32_t hashkey(char *key)
 {
 
 	if (key == NULL)
@@ -110,9 +107,7 @@
 }
 
 /* Find an entry in the hash table (may be hanging off a linked list). */
-struct grouplist *lookup(table, key)
-	struct member_entry *table[];
-	char *key;
+struct grouplist *lookup(struct member_entry *table[], char *key)
 {
 	struct member_entry *cur;
 
@@ -132,11 +127,7 @@
 /*
  * Store an group member entry and/or update its grouplist.
  */
-void mstore (table, key, gid, dup)
-	struct member_entry *table[];
-	char *key;
-	int gid;
-	int dup;
+void mstore (struct member_entry *table[], char *key, int gid, int dup)
 {
 	struct member_entry *cur, *new;
 	struct grouplist *tmp;
Index: libexec/mknetid/mknetid.c
===================================================================
RCS file: /home/dcvs/src/libexec/mknetid/mknetid.c,v
retrieving revision 1.3
diff -u -r1.3 mknetid.c
--- libexec/mknetid/mknetid.c	14 Nov 2003 03:54:30 -0000	1.3
+++ libexec/mknetid/mknetid.c	26 Aug 2008 20:05:55 -0000
@@ -85,7 +85,7 @@
 extern void _endgrent ( void );
 
 static void
-usage()
+usage(void)
 {
 	fprintf (stderr, "%s\n%s\n",
 	"usage: mknetid [-q] [-g group_file] [-p passwd_file] [-h hosts_file]",
@@ -96,9 +96,7 @@
 extern FILE *_gr_fp;
 
 int
-main(argc, argv)
-	int argc;
-	char *argv[];
+main(int argc, char *argv[])
 {
 	FILE *gfp, *pfp, *hfp, *nfp;
 	char readbuf[LINSIZ];
Index: libexec/mknetid/parse_group.c
===================================================================
RCS file: /home/dcvs/src/libexec/mknetid/parse_group.c,v
retrieving revision 1.3
diff -u -r1.3 parse_group.c
--- libexec/mknetid/parse_group.c	3 Aug 2006 16:40:46 -0000	1.3
+++ libexec/mknetid/parse_group.c	28 Aug 2008 17:13:14 -0000
@@ -57,7 +57,7 @@
 static char line[MAXLINELENGTH];
 
 struct group *
-_getgrent()
+_getgrent(void)
 {
 	if (!_gr_fp && !start_gr()) {
 		return NULL;
@@ -70,14 +70,13 @@
 }
 
 static int
-start_gr()
+start_gr(void)
 {
 	return 1;
 }
 
 int
-_setgroupent(stayopen)
-	int stayopen;
+_setgroupent(int stayopen)
 {
 	if (!start_gr())
 		return(0);
@@ -86,13 +85,13 @@
 }
 
 int
-_setgrent()
+_setgrent(void)
 {
 	return(_setgroupent(0));
 }
 
 void
-_endgrent()
+_endgrent(void)
 {
 	if (_gr_fp) {
 		(void)fclose(_gr_fp);
@@ -101,11 +100,9 @@
 }
 
 static int
-grscan(search, gid, name)
-	register int search, gid;
-	register char *name;
+grscan(int search, int gid, char *name)
 {
-	register char *cp, **m;
+	char *cp, **m;
 	char *bp;
 	for (;;) {
 		if (!fgets(line, sizeof(line), _gr_fp))
Index: libexec/revnetgroup/hash.c
===================================================================
RCS file: /home/dcvs/src/libexec/revnetgroup/hash.c,v
retrieving revision 1.2
diff -u -r1.2 hash.c
--- libexec/revnetgroup/hash.c	17 Jun 2003 04:27:07 -0000	1.2
+++ libexec/revnetgroup/hash.c	28 Aug 2008 17:13:32 -0000
@@ -51,11 +51,11 @@
 u_int32_t
 hash(keyarg, len)
 	const void *keyarg;
-	register size_t len;
+	size_t len;
 {
-	register const u_char *key;
-	register size_t loop;
-	register u_int32_t h;
+	const u_char *key;
+	size_t loop;
+	u_int32_t h;
 
 #define HASHC   h = *key++ + 65599 * h
 
Index: libexec/revnetgroup/parse_netgroup.c
===================================================================
RCS file: /home/dcvs/src/libexec/revnetgroup/parse_netgroup.c,v
retrieving revision 1.3
diff -u -r1.3 parse_netgroup.c
--- libexec/revnetgroup/parse_netgroup.c	25 Aug 2004 01:53:39 -0000	1.3
+++ libexec/revnetgroup/parse_netgroup.c	28 Aug 2008 17:13:44 -0000
@@ -140,8 +140,8 @@
 void
 __endnetgrent()
 {
-	register struct linelist *lp, *olp;
-	register struct netgrp *gp, *ogp;
+	struct linelist *lp, *olp;
+	struct netgrp *gp, *ogp;
 
 	lp = linehead;
 	while (lp) {
@@ -178,10 +178,10 @@
 parse_netgrp(group)
 	char *group;
 {
-	register char *spos, *epos;
-	register int len, strpos;
+	char *spos, *epos;
+	int len, strpos;
 #ifdef DEBUG
-	register int fields;
+	int fields;
 #endif
 	char *pos, *gpos;
 	struct netgrp *grp;
@@ -289,8 +289,8 @@
 read_for_group(group)
 	char *group;
 {
-	register char *pos, *spos, *linep = NULL, *olinep = NULL;
-	register int len, olen;
+	char *pos, *spos, *linep = NULL, *olinep = NULL;
+	int len, olen;
 	int cont;
 	struct linelist *lp;
 	char line[LINSIZ + 1];
Index: libexec/rexecd/rexecd.c
===================================================================
RCS file: /home/dcvs/src/libexec/rexecd/rexecd.c,v
retrieving revision 1.5
diff -u -r1.5 rexecd.c
--- libexec/rexecd/rexecd.c	25 Nov 2007 01:28:23 -0000	1.5
+++ libexec/rexecd/rexecd.c	26 Aug 2008 22:48:24 -0000
@@ -49,6 +49,7 @@
 #include <libutil.h>
 #include <paths.h>
 #include <signal.h>
+#include <stdarg.h>
 #include <stdio.h>
 #include <stdlib.h>
 #include <skey.h>
@@ -70,7 +71,7 @@
 void doit (int, struct sockaddr_in *);
 void getstr (char *, int, char *);
 /*VARARGS1*/
-void error ();
+void error (char *fmt, ...);
 
 int no_uid_0 = 1;
 
@@ -90,9 +91,7 @@
  */
 /*ARGSUSED*/
 int
-main(argc, argv)
-	int argc;
-	char **argv;
+main(int argc, char **argv)
 {
 	struct sockaddr_in from;
 	int fromlen;
@@ -122,9 +121,7 @@
 }
 
 void
-doit(f, fromp)
-	int f;
-	struct sockaddr_in *fromp;
+doit(int f, struct sockaddr_in *fromp)
 {
 	FILE *fp;
 	char cmdbuf[NCARGS+1], *cp, *namep;
@@ -294,24 +291,21 @@
 	err(1, "%s", pwd->pw_shell);
 }
 
-/*VARARGS1*/
 void
-error(fmt, a1, a2, a3)
-	char *fmt;
-	int a1, a2, a3;
+error(char *fmt, ...)
 {
 	char buf[BUFSIZ];
+	va_list ap;
 
+	va_start(ap, fmt);
 	buf[0] = 1;
-	(void) snprintf(buf+1, sizeof(buf) - 1, fmt, a1, a2, a3);
+	(void) snprintf(buf+1, sizeof(buf) - 1, fmt, ap);
 	(void) write(2, buf, strlen(buf));
+	va_end(ap);
 }
 
 void
-getstr(buf, cnt, err)
-	char *buf;
-	int cnt;
-	char *err;
+getstr(char *buf, int cnt, char *err)
 {
 	char c;
 
Index: libexec/rlogind/rlogind.c
===================================================================
RCS file: /home/dcvs/src/libexec/rlogind/rlogind.c,v
retrieving revision 1.5
diff -u -r1.5 rlogind.c
--- libexec/rlogind/rlogind.c	18 May 2007 17:05:12 -0000	1.5
+++ libexec/rlogind/rlogind.c	28 Aug 2008 17:13:58 -0000
@@ -421,7 +421,7 @@
 			if (fcc < 0 && errno == EWOULDBLOCK)
 				fcc = 0;
 			else {
-				register char *cp;
+				char *cp;
 				int left;
 
 				if (fcc <= 0)
@@ -575,7 +575,7 @@
 void
 setup_term(int fd)
 {
-	register char *cp = index(term+ENVSIZE, '/');
+	char *cp = index(term+ENVSIZE, '/');
 	char *speed;
 	struct termios tt;
 
Index: libexec/rpc.rstatd/rstat_proc.c
===================================================================
RCS file: /home/dcvs/src/libexec/rpc.rstatd/rstat_proc.c,v
retrieving revision 1.5
diff -u -r1.5 rstat_proc.c
--- libexec/rpc.rstatd/rstat_proc.c	31 Jan 2005 21:20:58 -0000	1.5
+++ libexec/rpc.rstatd/rstat_proc.c	28 Aug 2008 17:14:40 -0000
@@ -297,7 +297,7 @@
 int
 havedisk()
 {
-	register int i;
+	int i;
 	struct statinfo stats;
 	int num_devices, retval = 0;
 
@@ -341,7 +341,7 @@
 updatexfers(numdevs, devs)
 	int numdevs, *devs;
 {
-	register int i, j, t;
+	int i, j, t;
 	struct statinfo stats;
 	int num_devices = 0;
 	u_int64_t total_transfers;
Index: libexec/rtld-elf/malloc.c
===================================================================
RCS file: /home/dcvs/src/libexec/rtld-elf/malloc.c,v
retrieving revision 1.3
diff -u -r1.3 malloc.c
--- libexec/rtld-elf/malloc.c	5 Jun 2008 18:01:49 -0000	1.3
+++ libexec/rtld-elf/malloc.c	28 Aug 2008 17:15:05 -0000
@@ -154,10 +154,10 @@
 malloc(nbytes)
 	size_t nbytes;
 {
-  	register union overhead *op;
-  	register int bucket;
-	register long n;
-	register unsigned amt;
+  	union overhead *op;
+  	int bucket;
+	long n;
+	unsigned amt;
 
 	/*
 	 * First time malloc is called, setup page size and
@@ -241,8 +241,8 @@
 morecore(bucket)
 	int bucket;
 {
-  	register union overhead *op;
-	register int sz;		/* size of desired block */
+  	union overhead *op;
+	int sz;		/* size of desired block */
   	int amt;			/* amount to allocate */
   	int nblks;			/* how many blocks we get */
 
@@ -285,8 +285,8 @@
 free(cp)
 	void *cp;
 {
-  	register int size;
-	register union overhead *op;
+  	int size;
+	union overhead *op;
 
   	if (cp == NULL)
   		return;
@@ -328,8 +328,8 @@
 	void *cp;
 	size_t nbytes;
 {
-  	register u_int onb;
-	register int i;
+  	u_int onb;
+	int i;
 	union overhead *op;
   	char *res;
 	int was_alloced = 0;
@@ -399,8 +399,8 @@
 	union overhead *freep;
 	int srchlen;
 {
-	register union overhead *p;
-	register int i, j;
+	union overhead *p;
+	int i, j;
 
 	for (i = 0; i < NBUCKETS; i++) {
 		j = 0;
@@ -424,8 +424,8 @@
 mstats(s)
 	char *s;
 {
-  	register int i, j;
-  	register union overhead *p;
+  	int i, j;
+  	union overhead *p;
   	int totfree = 0,
   	totused = 0;
 
Index: libexec/talkd/print.c
===================================================================
RCS file: /home/dcvs/src/libexec/talkd/print.c,v
retrieving revision 1.2
diff -u -r1.2 print.c
--- libexec/talkd/print.c	17 Jun 2003 04:27:08 -0000	1.2
+++ libexec/talkd/print.c	28 Aug 2008 17:15:22 -0000
@@ -54,7 +54,7 @@
 void
 print_request(cp, mp)
 	char *cp;
-	register CTL_MSG *mp;
+	CTL_MSG *mp;
 {
 	char tbuf[80], *tp;
 
@@ -70,7 +70,7 @@
 void
 print_response(cp, rp)
 	char *cp;
-	register CTL_RESPONSE *rp;
+	CTL_RESPONSE *rp;
 {
 	char tbuf[80], *tp, abuf[80], *ap;
 
Index: libexec/talkd/process.c
===================================================================
RCS file: /home/dcvs/src/libexec/talkd/process.c,v
retrieving revision 1.3
diff -u -r1.3 process.c
--- libexec/talkd/process.c	14 Nov 2003 03:54:31 -0000	1.3
+++ libexec/talkd/process.c	28 Aug 2008 17:15:33 -0000
@@ -69,10 +69,10 @@
 
 void
 process_request(mp, rp)
-	register CTL_MSG *mp;
-	register CTL_RESPONSE *rp;
+	CTL_MSG *mp;
+	CTL_RESPONSE *rp;
 {
-	register CTL_MSG *ptr;
+	CTL_MSG *ptr;
 	extern int debug;
 	char *s;
 
@@ -148,7 +148,7 @@
 
 void
 do_announce(mp, rp)
-	register CTL_MSG *mp;
+	CTL_MSG *mp;
 	CTL_RESPONSE *rp;
 {
 	struct hostent *hp;
Index: libexec/talkd/table.c
===================================================================
RCS file: /home/dcvs/src/libexec/talkd/table.c,v
retrieving revision 1.3
diff -u -r1.3 table.c
--- libexec/talkd/table.c	14 Nov 2003 03:54:31 -0000	1.3
+++ libexec/talkd/table.c	28 Aug 2008 17:15:44 -0000
@@ -84,9 +84,9 @@
  */
 CTL_MSG *
 find_match(request)
-	register CTL_MSG *request;
+	CTL_MSG *request;
 {
-	register TABLE_ENTRY *ptr;
+	TABLE_ENTRY *ptr;
 	time_t current_time;
 
 	gettimeofday(&tp, &txp);
@@ -118,9 +118,9 @@
  */
 CTL_MSG *
 find_request(request)
-	register CTL_MSG *request;
+	CTL_MSG *request;
 {
-	register TABLE_ENTRY *ptr;
+	TABLE_ENTRY *ptr;
 	time_t current_time;
 
 	gettimeofday(&tp, &txp);
@@ -159,7 +159,7 @@
 	CTL_MSG *request;
 	CTL_RESPONSE *response;
 {
-	register TABLE_ENTRY *ptr;
+	TABLE_ENTRY *ptr;
 	time_t current_time;
 
 	gettimeofday(&tp, &txp);
@@ -203,7 +203,7 @@
 delete_invite(id_num)
 	int id_num;
 {
-	register TABLE_ENTRY *ptr;
+	TABLE_ENTRY *ptr;
 
 	ptr = table;
 	if (debug)
@@ -226,7 +226,7 @@
  */
 void
 delete(ptr)
-	register TABLE_ENTRY *ptr;
+	TABLE_ENTRY *ptr;
 {
 
 	if (debug)
Index: libexec/talkd/talkd.c
===================================================================
RCS file: /home/dcvs/src/libexec/talkd/talkd.c,v
retrieving revision 1.3
diff -u -r1.3 talkd.c
--- libexec/talkd/talkd.c	14 Nov 2003 03:54:31 -0000	1.3
+++ libexec/talkd/talkd.c	28 Aug 2008 17:15:56 -0000
@@ -77,7 +77,7 @@
 	int argc;
 	char *argv[];
 {
-	register CTL_MSG *mp = &request;
+	CTL_MSG *mp = &request;
 	int cc;
 
 #ifdef NOTDEF
Index: libexec/ypxfr/ypxfr_misc.c
===================================================================
RCS file: /home/dcvs/src/libexec/ypxfr/ypxfr_misc.c,v
retrieving revision 1.2
diff -u -r1.2 ypxfr_misc.c
--- libexec/ypxfr/ypxfr_misc.c	17 Jun 2003 04:27:08 -0000	1.2
+++ libexec/ypxfr/ypxfr_misc.c	26 Aug 2008 19:55:19 -0000
@@ -44,8 +44,7 @@
 #include <rpcsvc/ypclnt.h>
 #include "ypxfr_extern.h"
 
-char *ypxfrerr_string(code)
-	ypxfrstat code;
+char *ypxfrerr_string(ypxfrstat code)
 {
 	switch (code) {
 	case YPXFR_SUCC:
@@ -118,11 +117,7 @@
  * allocated by the XDR routines. We have to rememver to free() or
  * xdr_free() the memory as required to avoid leaking memory.
  */
-char *ypxfr_get_master(domain,map,source,yplib)
-	char *domain;
-	char *map;
-	char *source;
-	const int yplib;
+char *ypxfr_get_master(char *domain, char *map, char *source, const int yplib)
 {
 	static char mastername[MAXPATHLEN + 2];
 
@@ -193,11 +188,8 @@
 	}
 }
 
-unsigned long ypxfr_get_order(domain, map, source, yplib)
-	char *domain;
-	char *map;
-	char *source;
-	const int yplib;
+unsigned long ypxfr_get_order(char *domain, char *map, char *source,
+    const int yplib)
 {
 	if (yplib) {
 		unsigned long order;
@@ -258,12 +250,8 @@
 	}
 }
 
-int ypxfr_match(server, domain, map, key, keylen)
-	char *server;
-	char *domain;
-	char *map;
-	char *key;
-	unsigned long keylen;
+int ypxfr_match(char *server, char *domain, char *map, char *key,
+    unsigned long keylen)
 {
 	ypreq_key ypkey;
 	ypresp_val *ypval;
Index: libexec/ypxfr/ypxfrd_getmap.c
===================================================================
RCS file: /home/dcvs/src/libexec/ypxfr/ypxfrd_getmap.c,v
retrieving revision 1.2
diff -u -r1.2 ypxfrd_getmap.c
--- libexec/ypxfr/ypxfrd_getmap.c	17 Jun 2003 04:27:08 -0000	1.2
+++ libexec/ypxfr/ypxfrd_getmap.c	28 Aug 2008 17:16:09 -0000
@@ -49,7 +49,7 @@
 
 int fp = 0;
 
-static bool_t xdr_my_xfr(register XDR *xdrs, xfr *objp)
+static bool_t xdr_my_xfr(XDR *xdrs, xfr *objp)
 {
 	while (1) {
 		if (!xdr_xfr(xdrs, objp))
Index: sbin/natacontrol/natacontrol.c
===================================================================
RCS file: /home/dcvs/src/sbin/natacontrol/natacontrol.c,v
retrieving revision 1.2
diff -u -r1.2 natacontrol.c
--- sbin/natacontrol/natacontrol.c	1 Aug 2007 22:54:00 -0000	1.2
+++ sbin/natacontrol/natacontrol.c	24 Aug 2008 22:44:19 -0000
@@ -95,7 +95,7 @@
 }
 
 void
-usage()
+usage(void)
 {
 	fprintf(stderr,
 		"usage:  natacontrol <command> args:\n"
Index: sbin/ping/ping.c
===================================================================
RCS file: /home/dcvs/src/sbin/ping/ping.c,v
retrieving revision 1.7
diff -u -r1.7 ping.c
--- sbin/ping/ping.c	29 May 2007 10:21:41 -0000	1.7
+++ sbin/ping/ping.c	24 Aug 2008 22:45:02 -0000
@@ -1000,11 +1000,7 @@
  * program to be run without having intermingled output (or statistics!).
  */
 static void
-pr_pack(buf, cc, from, tv)
-	char *buf;
-	int cc;
-	struct sockaddr_in *from;
-	struct timeval *tv;
+pr_pack(char *buf, int cc, struct sockaddr_in *from, struct timeval *tv)
 {
 	struct in_addr ina;
 	u_char *cp, *dp;
Index: sys/boot/pc32/boot2/boot2.c
===================================================================
RCS file: /home/dcvs/src/sys/boot/pc32/boot2/boot2.c,v
retrieving revision 1.16
diff -u -r1.16 boot2.c
--- sys/boot/pc32/boot2/boot2.c	18 Jun 2007 05:13:42 -0000	1.16
+++ sys/boot/pc32/boot2/boot2.c	24 Aug 2008 22:42:54 -0000
@@ -428,7 +428,7 @@
 }
 
 static int
-parse()
+parse(void)
 {
     char *arg = cmd;
     char *p, *q;
Index: usr.bin/colldef/scan.l
===================================================================
RCS file: /home/dcvs/src/usr.bin/colldef/scan.l,v
retrieving revision 1.3
diff -u -r1.3 scan.l
--- usr.bin/colldef/scan.l	2 Mar 2005 07:16:23 -0000	1.3
+++ usr.bin/colldef/scan.l	24 Aug 2008 18:17:40 -0000
@@ -278,7 +278,7 @@
 }
 %%
 #ifdef FLEX_DEBUG
-main()
+main(void)
 {
 	while(yylex())
 		;
Index: usr.bin/ctags/test/ctags.test
===================================================================
RCS file: /home/dcvs/src/usr.bin/ctags/test/ctags.test,v
retrieving revision 1.1
diff -u -r1.1 ctags.test
--- usr.bin/ctags/test/ctags.test	17 Jun 2003 02:56:03 -0000	1.1
+++ usr.bin/ctags/test/ctags.test	24 Aug 2008 09:39:52 -0000
@@ -55,7 +55,7 @@
 	char two[10];
 {
 typedef unsigned char	u_char;
-	register struct buf *bp;
+	struct buf *bp;
 	five(one,two);
 }
  routine2 (one,two) { puts("hello\n"); }
Index: usr.bin/doscmd/AsyncIO.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/doscmd/AsyncIO.c,v
retrieving revision 1.2
diff -u -r1.2 AsyncIO.c
--- usr.bin/doscmd/AsyncIO.c	17 Jun 2003 04:29:25 -0000	1.2
+++ usr.bin/doscmd/AsyncIO.c	24 Aug 2008 18:14:25 -0000
@@ -126,7 +126,7 @@
 }
 
 static void
-CleanIO()
+CleanIO(void)
 {
 	int x;
 	static struct timeval tv;
Index: usr.bin/doscmd/dos.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/doscmd/dos.c,v
retrieving revision 1.2
diff -u -r1.2 dos.c
--- usr.bin/doscmd/dos.c	17 Jun 2003 04:29:25 -0000	1.2
+++ usr.bin/doscmd/dos.c	24 Aug 2008 18:15:12 -0000
@@ -2054,9 +2054,7 @@
 }
 
 static void
-fcb_to_string(fcbp, buf)
-	struct fcb *fcbp;
-	u_char *buf;
+fcb_to_string(struct fcb *fcbp, u_char *buf)
 {
 
 	if (fcbp->fcbDriveID != 0x00) {
Index: usr.bin/doscmd/i386-pinsn.c
===================================================================
RCS file: /home/dcvs/src/usr.bin/doscmd/i386-pinsn.c,v
retrieving revision 1.3
diff -u -r1.3 i386-pinsn.c
--- usr.bin/doscmd/i386-pinsn.c	4 Oct 2003 20:36:43 -0000	1.3
+++ usr.bin/doscmd/i386-pinsn.c	24 Aug 2008 18:15:34 -0000
@@ -1522,7 +1522,7 @@
 }
 
 static void
-append_prefix()
+append_prefix(void)
 {
   if (prefixes & PREFIX_CS)
     oappend ("%cs:");
